# vim: set sw=4 ts=4 et nu:

Name:               di
Version:            4.31
Release:            4.5
Summary:            Disk Information Utility
Source:             http://gentoo.com/di/di-%{version}.tar.gz
URL:                http://www.gentoo.com/di/
Group:              Productivity/File utilities
License:            zlib/libpng License
BuildRoot:          %{_tmppath}/build-%{name}-%{version}
BuildRequires:      gcc make glibc-devel pkgconfig

%description
di is a disk information utility that displays everything that df does and
more. It features the ability to display your disk usage in whatever format you
prefer. It also checks the user and group quotas, so that the user sees the
space available for their use, not the system wide disk space. It is designed
to be highly portable across many platforms and is great for heterogenous
networks.

%prep
%setup -q

%build
%__make %{?_smp_flags} \
    prefix="%{_prefix}" \
    LOCALEDIR="%{_datadir}/locale" \
    CC="%__cc" \
    CFLAGS="%{optflags}"

%install
# actually needed on some non-openSUSE dists as the install
# target doesn't use "mkdir -p" but just "mkdir"
%__install -d "%{buildroot}"

%__make \
    prefix="%{_prefix}" \
    LOCALEDIR="%{_datadir}/locale" \
    CC="%__cc" \
    CFLAGS="%{optflags}" \
    INSTALL_DIR="%{buildroot}%{_prefix}" \
    INSTALL_BIN_DIR="%{buildroot}%{_bindir}" \
    INSTALL_LOCALEDIR="%{buildroot}%{_datadir}/locale" \
    DI_MANINSTDIR="%{buildroot}%{_mandir}" \
    install

%find_lang "%{name}"

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files -f "%{name}.lang"
%defattr(-,root,root)
%doc LICENSE MANIFEST README
%{_bindir}/di
%{_bindir}/mi
%doc %{_mandir}/man1/di.1*

%changelog
* Mon Nov 21 2011 pascal.bleser@opensuse.org
- update to 4.31:
  * filesystems that would return a 'Permission Denied' no longer generate an
    error message and are no longer displayed, even with the -a option
  * bugfixes include fixing the totals for pooled (zfs) filesystems when the
    main pool is not mounted and a rare divide by 0 condition
* Fri Oct 14 2011 pascal.bleser@opensuse.org
- update to 4.30:
  * support for long commandline options was added
* Sun Oct  2 2011 pascal.bleser@opensuse.org
- update to 4.29
- rewrote spec file to comply with nowadays' style guide and
  good practices
- moved to utilities on build.o.o
* Sun Jan  2 2011 detlef@links2linux.de
- new upstream version <4.27>
  * Rearranged directory structure.
  * Added support for long double to hold zettas and yottas.
  * Added support for the windows digital mars c compiler.
  * Added a fix for windows removable drives.
  * Rewrote snprintf macros as they didn't work on MacOSX.
  * Fixed quotactl argument for systems w/o QCMD macro.
  * Check for type of structure members and call the correct xdr function.
  * Many minor fixes for compiler warnings.
  * Fixed Makefiles to redirect 'cd' output (CDPATH).
  * Updated build system to mkconfig 1.11.
* Mon Jul 26 2010 detlef@links2linux.de
- new upstream version <4.26>
  * Fix FreeBSD 5 panic when trying to get quotas on devfs.
  * Updated build system to mkconfig-1.10.
* Mon Jul  5 2010 detlef@links2linux.de
- new upstream version <4.25>
  * Added support for quotas.
  * Fix for Tru64 advfs pools.
  * Fixed loopback filesystem (lofs/none) exclusion; enabled for
    all systems.
  * Added an optional DI_LOCALE_DIR environment variable to
    point to the locale directory where di's messages are installed.
  * Changed the sort to use strcoll() rather than strcmp().
  * Updated build system to mkconfig-1.6.
  * Removed turnoffwinapi.sh, hasnls.sh & turnoffnls.sh and updated
    to use new build system tools.
  * Added dioptions.dat to control options.
  * More fixes for totals in a pooled/non-pooled mix when pooled
    filesystems are not displayed.
* Sat May 15 2010 detlef@links2linux.de
- initial build for PackMan <4.24>
